;
;       This file is to be used to create a customized logical channel data
;       area.  Replace 'xxxx' with the number of bytes ( in HEX ) corresponding
;       to the size of data area that you require.  The maximum logical channel
;       number will be the lchan_size / 10.  Lchan_size is limited to 40k bytes.
;
        PUBLIC  l_size, n_lchan, lchan_data, lchan_ptr
        PUBLIC  lchan_ptr_addr, lchan_data_addr, lchan_eod

l_size  EQU xxxx                ; this is the size of the logical channel data
                                ;       area
n_lchan EQU l_size / 12         ; calculate maximum lchan number

rtilib	GROUP	rtilib1
rtilib1  SEGMENT   word public 'FAR_DATA'
        ASSUME  CS:nothing, DS:rtilib

EVEN
lchan_data      db  l_size	dup (?)         ; lchan_data table
EVEN
lchan_ptr       dw  n_lchan     dup (-1)        ; lchan_ptr table
;
lchan_ptr_addr  dw      (-1)                    ; addr of pointer to lchan data
lchan_data_addr dw      offset rtilib:lchan_data       ; next start of lchan_data
lchan_eod       dw      offset rtilib:lchan_data + l_size; last address for data storage
;

rtilib1  ends

end

