/*

    Include file to be used with -800 Series products. Contains I/O command
    information only.  Board specific commands are included on the hardware
    diskette in the file DECL8xx.H.

    NOTE :
        If you are using Borland Turbo C, Turbo C++ or Borland C++ remove
        the prototype declaration for the DELAY command from this file.
        Turbo C has its own DELAY command, its prototype is in DOS.H.

*/
#ifdef __cplusplus
   extern "C"
   {
#endif
        void  far ACTIO (int, int far *, int far *, int far *);
        int  far AIN (int, int far *);
        void far AING (int, int far *, int far *);
        void far AITYPE800 (int, int, int, int, int far *);
        void far AOT (int, int, int far *);
        void far AOTG (int, int far *, int far *);
        void far AOTYPE800 (int, int, int, int, int far *);
        void far AVG (int, int far *, int far *);
        long far BCHECK (int, int far *);
        void far BCOL (int, long, int far *);
        void far BSCAN (int, long, int far *);
        void far CANCEL (int, int far *);
        void far CAVG (int, int far *, int far *);
        void far CCOL (int, int far *, int far *);
        void far CHECK (int, int far *);
        void far CLCHAN (int, int far *);
        void far CLRIO (int, int far *);
        void far COLLECT (int, int far *, int far *);
        void far CONV (int, int far *, float far *, int far *);
        void far CSCAN (int, int far *, int far *);
#ifndef __BORLANDC__
        void far DELAY (int, int, int);
#endif
        int far DIN (int, int far *);
        int far DINB (int, int far *);
        void far DOT (int, int , int far *);
        void far DOTB (int, int, int far *);
        int far DOTR (int, int far *);
        void far EVINIT (int, int far *);
        void far EVSTART (int, int far *);
        void far EVSTOP (int, int far *);
        int far EVREAD (int, int far *);
        void far INITIALIZE (int far *);
        int far FINREAD (int, int far *);
        void far FINGREAD (int, int far *, int far *);
        void far FINSTART (int, int far *);
        void far FINSTOP (int, int far *);
        void far LEVGREAD (int, long far *, int far *);
        void far PULSE (int, int far *);
        void far PULSTART (int, int far *);
        void far PULSTOP (int, int far *);
        int far RAITYPE800 (int, int, int far *);
        int far RAOTYPE800 (int, int, int far *);
        void far RBUF (int, int far *, int far *);
        void far SCAN (int, int far *, int far *);
        void far SETSCALE (int, int, float far *, int, float far *, int far *);
        void far SETOUT (int, int, int, int, int far *);
        void far UCOL (int, int far *, int far *);
        void far USCAN (int, int far *, int far *);
        void far WBUF (int, int far *, int far *);
        void far XAIN (int, float far *, int far *);
        void far XAING (int, float far *, int far *);
        void far XAOT (int, float far *, int far *);
        void far XAOTG (int, float far *, int far *);
        void far XAVG (int, float far *, int far *);
        void far XCAVG (int, float far *, int far *);
        void far XCOLL (int , float far *, int far *);
        void far XCCOL (int , float far *, int far *);
        void far XFINREAD (int, float far *, int far *);
        void far XFINGREAD (int, float far *, int far *);
        void far XSCAN (int, float far *, int far *);
        void far XCSCAN (int, float far *, int far *);
#ifdef __cplusplus
   }
#endif
